:root {
  --white: #fff;
  --black: #000;

  --turquoise: #1abc9c;
  --green-sea: #16a085;
  --emerald: #2ecc71;
  --nephrits: #27ae60;
  --peter-river: #3498db;
  --belize-hole: #2980b9;
  --amethyst: #9b59b6;
  --wisteria: #8e44ad;
  --wet-asfault: #34495e;
  --midnight-blue: #2c3e50;
  --sun-flower: #f1c40f;
  --orange: #f39c12;
  --carrot: #e67e22;
  --pumpkin: #d35400;
  --alizarin: #e74c3c;
  --pomegranate: #c0392b;
  --cloud: #ecf0f1;
  --silver: #bdc3c7;
  --concrete: #95a5a6;
  --asbestos: #7f8c8d;
}

* {
  box-sizing:border-box;
}

html, body {
  height: 100%;
}

body {
  margin: 0;
  padding: 0;
  font: 14px 'Lato', sans-serif;
  background: var(--cloud);
}

h1, h2, h3, h4, h5, h6, p {
  margin-top: 0;
}

h1 small, h2 small, h3 small,h4 small, h5 small, h6 small {
  font-weight: normal;
}

h1 {
  color: var(--wisteria);
}

a {
  color: var(--peter-river);
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

input, textarea, button {
  width: 100%;
  max-width: 800px;
  background: rgba(255, 255, 255, 0.2);
  border: 1px solid rgba(255, 255, 255, 0.2);
  text-align: center;
  font-size: 20px;
  padding: 10px;
  margin-bottom: 10px;
}

button {
  width: auto;
  background: var(--midnight-blue);
  color: var(--white);
  cursor: pointer;
  white-space: nowrap;
}

table, tbody, thead {
  width: 100%;
  border-collapse: collapse;
  display:inline-block;
}

table tr {
  border-bottom: 1px solid var(--silver);
  display:flex;
  flex-wrap:wrap;
}

table tr:hover {
  background: var(--silver);
}

table tr td {
  padding: 10px;
  display:block;
  flex:1
}

table tr th {
  padding: 10px;
  display:block;
  flex:1
}

table tr td.actions {
  text-align: right;
}

table tr td.actions a {
  background: var(--cloud);
  border-radius: 5px;
  display: inline-block;
  padding: 5px;
}

table tr td.actions a:hover {
  background: var(--emerald);
  color: var(--white);
  text-decoration: none;
}

table tr td.highlight {
  width:100%;
  flex:auto;
}

input:focus, textarea:focus {
  outline: 3px solid var(--wet-asfault);
}

input.big, textarea.big {
    font-size: 40px;
    min-height: 70px;
}

legend {
  font-size: 1.3em;
  margin: 0;
  margin-bottom: 20px;
}

nav.vertical ul, nav.vertical ul li {
  display: block;
  padding: 0;
  margin: 0;
  list-style: none;
}

nav.vertical ul li a {
  display: block;
  padding: 10px;
  margin-bottom: 2px;
  color: var(--white);
}

nav.vertical ul li:hover a, nav.vertical ul li.active a {
  background-color: var(--wet-asfault);
  color: var(--white);
  text-decoration: none;
}

header, section {
  display: flex;
}

section {
  height: 100%;
}

div[class*="col-"] {
  padding: 20px;
}

.col-100 {
  width: 100%;
}

.col-30 {
  width: 30%;
}

.col-70 {
  width: 70%;
}

.conversation {
  max-height: 100%;
  overflow-x: auto;
}

.conversation header {
  background: var(--cloud);
}

.status {
  width: 5px;
  height: 5px;
  display: inline-block;
  background: var(--silver);
  border-radius: 100%;
}

.status.on {
  background: var(--emerald);
}

.status.off {
  background: var(--alizarin);
}

.sender-message {
  background: var(--wet-asfault);
  padding: 10px;
  border-radius: 10px;
  color: var(--white);
}

.sender-message input {
  display: block;
  border-radius: 5px;
  width: 100%;
  padding: 10px;
}

.sender-message p {
  text-align: center;
  padding: 10px 0;
  margin: 0;
}

.sender-message input:focus {
  outline: none;
}

.color-grey {
  color: var(--silver);
}

.color-white {
  color: var(--white);
}

.color-red {
  color: var(--alizarin);
}

.bg-white {
  background: var(--white);
}

.bg-dark {
  background: var(--midnight-blue);
  color: var(--white);
}

.bg-grey {
  background: var(--silver);
}

.padd-left-off {
  padding-left: 0;
}

.messages {
  flex-grow: 1;
  margin-bottom: 20px;
  padding: 20px;
  border-radius: 10px;
}

.messages .message {
  width: 60%;
  float: left;
  border-radius: 5px;
  padding: 10px;
  border: 1px solid var(--cloud);
  background: var(--white);
}

.messages .message.me {
  float: right;
  background: var(--cloud);
}

.login {
  background: var(--midnight-blue);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.login input {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

::-webkit-input-placeholder {
   color: var(--midnight-blue);
}

:-moz-placeholder { /* Firefox 18- */
   color: var(--midnight-blue);
}

::-moz-placeholder {  /* Firefox 19+ */
   color: var(--midnight-blue);
}

:-ms-input-placeholder {
   color: var(--midnight-blue);
}